﻿@model GamePlayModel

<div class="modal-header">
    <h5 class="modal-title" id="exampleModalLabel">Möchtest du dem Spiel von @Model.Spiel.Spieler1.Name beitreten?</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="container">
        <span class="text-36 mb-0">@Model.Spiel.Unit.Beschreibung</span>
        <p class="text-secondary text-sub">
            Unit
        </p>
        <hr />
        <div class="row">
            <div class="col">
                <span class="text-36 mb-0">@Model.Spiel.Spieler1.Name</span>
                <p class="text-secondary text-sub">
                    Gegenspieler
                </p>
            </div>
            <div class="col text-right" style="margin: auto">
                <button class="btn btn-outline-info" data-toggle="collapse" data-target="#stats" aria-expanded="false" aria-controls="collapseExample"><i class="fas fa-trophy mr-1"></i> Statistik anzeigen</button>
            </div>
        </div>
        <div class="collapse" id="stats">
            <div class="row">
                <div class="col">
                    <p class="text-success text-36 mb-0">
                        @Model.Spiel.Spieler1.GewonneneSpiele.ToString("D")
                    </p>
                    <p class="text-success text-sub">
                        Gewonnen
                    </p>
                </div>
                <div class="col">
                    <p class="text-warning text-36 mb-0">
                        @Model.Spiel.Spieler1.UnentschiedeneSpiele.ToString("D")
                    </p>
                    <p class="text-warning text-sub">
                        Unentschieden
                    </p>
                </div>
                <div class="col">
                    <p class="text-danger text-36 mb-0">
                        @Model.Spiel.Spieler1.VerloreneSpiele.ToString("D")
                    </p>
                    <p class="text-danger text-sub">
                        Verloren
                    </p>
                </div>
                <div class="col">
                    <p class="text-info text-36 mb-0">
                        @Model.Spiel.Spieler1.GewinnProzentsatz.ToString("P")
                    </p>
                    <p class="text-info text-sub">
                        Gewinnrate
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <div id="load-spinner" class="loader hidden"></div>
    <div style="margin: auto"></div>
    <button type="button" class="btn btn-danger" data-dismiss="modal">Schließen</button>
    <button id="btn-enter-game" type="button" class="btn btn-success" onclick="enter_game(@Model.Spiel.Id, @Model.UserId)">Beitreten</button>
</div>